Android: stripped handling of etpan's ssl and sasl dependencies
authorEdouard Tisserant
Mon, 22 Feb 2016 18:37:15 +0100
changeset 470dcf000a08a7c
parent 469 c0f88f70425b
child 471 004e0881b80f
Android: stripped handling of etpan's ssl and sasl dependencies
build-android/build.sh
build-android/jni/Android.mk
     1.1 --- a/build-android/build.sh	Mon Feb 22 14:48:29 2016 +0100
     1.2 +++ b/build-android/build.sh	Mon Feb 22 18:37:15 2016 +0100
     1.3 @@ -4,8 +4,6 @@
     1.4  
     1.5  build_version=1
     1.6  ANDROID_PLATFORM=android-21
     1.7 -openssl_build_version=1
     1.8 -cyrus_sasl_build_version=1
     1.9  libetpan_build_version=1
    1.10  archs="armeabi armeabi-v7a x86 x86_64"
    1.11  package_name=pEpEngine-android
    1.12 @@ -34,8 +32,6 @@
    1.13    
    1.14    cd "$current_dir/jni"
    1.15    $ANDROID_NDK/ndk-build V=1 TARGET_PLATFORM=$ANDROID_PLATFORM TARGET_ARCH_ABI=$TARGET_ARCH_ABI \
    1.16 -    OPENSSL_PATH="$current_dir/third-party/openssl-android-$openssl_build_version" \
    1.17 -    CYRUS_SASL_PATH="$current_dir/third-party/cyrus-sasl-android-$cyrus_sasl_build_version" \
    1.18      LIBETPAN_PATH="$current_dir/third-party/libetpan-android-$libetpan_build_version"
    1.19  
    1.20    mkdir -p "$current_dir/$package_name-$build_version/libs/$TARGET_ARCH_ABI"
    1.21 @@ -45,8 +41,6 @@
    1.22  
    1.23  mkdir -p "$current_dir/third-party"
    1.24  cd "$current_dir/third-party"
    1.25 -unzip -qo "$libetpan_dir/dependencies/openssl/openssl-android-$openssl_build_version.zip"
    1.26 -unzip -qo "$libetpan_dir/dependencies/cyrus-sasl/cyrus-sasl-android-$cyrus_sasl_build_version.zip"
    1.27  unzip -qo "$libetpan_dir/libetpan-android-$libetpan_build_version.zip"
    1.28  
    1.29  # Copy public headers to include
     2.1 --- a/build-android/jni/Android.mk	Mon Feb 22 14:48:29 2016 +0100
     2.2 +++ b/build-android/jni/Android.mk	Mon Feb 22 18:37:15 2016 +0100
     2.3 @@ -4,14 +4,6 @@
     2.4  
     2.5  include $(CLEAR_VARS)
     2.6  
     2.7 -ifeq ($(OPENSSL_PATH),)
     2.8 -$(error OPENSSL_PATH must be set)
     2.9 -endif
    2.10 -
    2.11 -ifeq ($(CYRUS_SASL_PATH),)
    2.12 -$(error CYRUS_SASL_PATH must be set)
    2.13 -endif
    2.14 -
    2.15  ifeq ($(LIBETPAN_PATH),)
    2.16  $(error LIBETPAN_PATH must be set)
    2.17  endif
    2.18 @@ -43,8 +35,6 @@
    2.19  
    2.20  LOCAL_C_INCLUDES := ../../src \
    2.21                      $(GPGME_INCLUDE_PATH) \
    2.22 -                    $(OPENSSL_PATH)/include \
    2.23 -                    $(CYRUS_SASL_PATH)/include \
    2.24                      $(LIBETPAN_PATH)/include
    2.25  
    2.26  include $(BUILD_STATIC_LIBRARY)